---
RecipeFormatVersion: "2020-01-25"
ComponentName: "{COMPONENT_NAME}"
ComponentVersion: "{COMPONENT_VERSION}"
ComponentDescription: "Deploy the Smart Camera application container."
ComponentPublisher: "{COMPONENT_AUTHOR}"
Manifests:
  - Platform:
      os: linux
      architecture: aarch64
    Artifacts:
      - URI: "s3://SmartCameraApplication.zip"
        Unarchive: ZIP
    Lifecycle:
      Install:
        Requiresprivilege: true
        Skipif: exists {artifacts:decompressedPath}/installed
        Script: |-
          zcat {artifacts:decompressedPath}/SmartCameraApplication/sc-application.tar.gz | docker load &&
          touch {artifacts:decompressedPath}/installed
        Timeout: 600
